Checks whether a property is lazy

- « ReflectionProperty::isInitialized

- ReflectionProperty::isPrivate »

- PHP Manual
- ReflectionProperty
- Checks whether a property is lazy

# ReflectionProperty::isLazy

(PHP 8 >= 8.4.0)

ReflectionProperty::isLazy — Checks whether a property is lazy

### Description

public ReflectionProperty::isLazy(object `$object`): bool

Checks whether a property is lazy.

### Parameters

`object`
  The object to check the property on.

### Return Values

Returns `true` if the property is lazy, `false` otherwise.

### See Also

- Lazy objects